## coinor-ipopt 3.8.3

=== Ipopt/contrib/AsNMPC/doc/Makefile ===
# Copyright (C) 2009 International Business Machines. All Rights Reserved.
# This code is published under the Common Public License.
#
# Author: Andreas Waechter, 2010-05-26


DOCS = overview.pdf usage.pdf

all: $(DOCS)

.SUFFIXES: .tex .pdf

.tex.pdf:
	pdflatex $*
	bibtex $*
	pdflatex $*
	pdflatex $*

clean:
	rm -f *.aux *.log *.bbl *.blg

## coinor-ipopt 3.8.1

=== debian/changelog ===
coinor-ipopt (3.8.1-3) unstable; urgency=low

  * Link to mpiseq_seq and require libmumps-seq-dev
    (>= 4.9.2.dfsg-4). (Closes: #577866)

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 16 Apr 2010 09:22:23 +0200

coinor-ipopt (3.8.1-2) unstable; urgency=low

  * Include patch from Nobuhiro Iwamatsu to fix build failure on Renesas
    SH(sh4) CPUs. (Closes: #575993)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump standards version to 3.8.4 (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 06 Apr 2010 16:24:08 +0200

coinor-ipopt (3.8.1-1) unstable; urgency=low

  * Initial release (Closes: #549413)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 20 Dec 2009 09:13:14 +0100

=== debian/control ===
Source: coinor-ipopt
Section: science
Priority: extra
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Uploaders: Soeren Sonnenburg <sonne@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, gfortran, libblas-dev,
 libmumps-seq-dev (>= 4.9.2.dfsg-4), liblapack-dev, doxygen,
 texlive-latex-base, ghostscript, chrpath, cdbs
Standards-Version: 3.8.4
Homepage: https://projects.coin-or.org/Ipopt
Vcs-Svn: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
Vcs-Browser: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/

Package: coinor-libipopt0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Interior-Point Optimizer, for large-scale nonlinear optimization
 Ipopt is an open-source solver for large-scale nonlinear continuous
 optimization. It can be used from modeling environments, such as AMPL,
 GAMS, or Matlab, and it is also available as a callable library with
 interfaces to C++, C, and Fortran. Ipopt uses an interior point method,
 together with a filter linear search procedure. Ipopt is part of the
 larger COIN-OR initiative (Computational Infrastructure for Operations
 Research).
 .
 The Debian package is compiled against MUMPS (as it is the only one of
 the available solvers that is Free Software and included in Debian).
 .
 This package contains the library.

Package: coinor-libipopt-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libipopt0 (= ${binary:Version})
Description: Interior-Point Optimizer - header files
 Ipopt is an open-source solver for large-scale nonlinear continuous
 optimization. It can be used from modeling environments, such as AMPL,
 GAMS, or Matlab, and it is also available as a callable library with
 interfaces to C++, C, and Fortran. Ipopt uses an interior point method,
 together with a filter linear search procedure. Ipopt is part of the
 larger COIN-OR initiative (Computational Infrastructure for Operations
 Research).
 .
 The Debian package is compiled against MUMPS (as it is the only one of
 the available solvers that is Free Software and included in Debian).
 .
 This package contains the header files for developers.

Package: coinor-libipopt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Interior-Point Optimizer - documentation
 Ipopt is an open-source solver for large-scale nonlinear continuous
 optimization. It can be used from modeling environments, such as AMPL,
 GAMS, or Matlab, and it is also available as a callable library with
 interfaces to C++, C, and Fortran. Ipopt uses an interior point method,
 together with a filter linear search procedure. Ipopt is part of the
 larger COIN-OR initiative (Computational Infrastructure for Operations
 Research).
 .
 The Debian package is compiled against MUMPS (as it is the only one of
 the available solvers that is Free Software and included in Debian).
 .
 This package contains the documentation.

Package: coinor-libipopt0-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libipopt0 (= ${binary:Version})
Description: Interior-Point Optimizer - debugging symbols
 Ipopt is an open-source solver for large-scale nonlinear continuous
 optimization. It can be used from modeling environments, such as AMPL,
 GAMS, or Matlab, and it is also available as a callable library with
 interfaces to C++, C, and Fortran. Ipopt uses an interior point method,
 together with a filter linear search procedure. Ipopt is part of the
 larger COIN-OR initiative (Computational Infrastructure for Operations
 Research).
 .
 The Debian package is compiled against MUMPS (as it is the only one of
 the available solvers that is Free Software and included in Debian).
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

LDFLAGS += -llapack -lblas -lmpiseq_seq -ldmumps_seq -Wl,-z,defs
DEB_CONFIGURE_EXTRA_FLAGS += --enable-static

build/coinor-libipopt-doc:: debian/stamp-build-coinor-libipopt-doc
debian/stamp-build-coinor-libipopt-doc:
	doxygen doxydoc/doxygen.conf
	$(RM) doxydoc/html/*.md5 doxydoc/html/*.dot doxydoc/html/*.map
	touch $@

get-orig-source:
	-uscan --rename --upstream-version 0
	@echo successfully retrieved upstream tarball

clean::
	$(RM) -r debian/stamp-* doxydoc/html

## coinor-ipopt 3.8.3

=== debian/changelog ===
coinor-ipopt (3.8.3-2) unstable; urgency=low

  * Build against parallel version of mumps (Closes: #590434).
  * Empty dependency_libs in .la file and bump standards version to 3.9.1.0.

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 29 Jul 2010 21:26:09 +0200

coinor-ipopt (3.8.3-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.0 (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 02 Jul 2010 23:16:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Uploaders: Soeren Sonnenburg <sonne@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev, gfortran, libblas-dev,
- libmumps-seq-dev (>= 4.9.2.dfsg-4), liblapack-dev, doxygen,
- texlive-latex-base, ghostscript, chrpath, cdbs
-Standards-Version: 3.8.4
+ libmumps-dev (>= 4.9.2.dfsg-4), libmumps-seq-dev (>= 4.9.2.dfsg-4),
+ liblapack-dev, doxygen, texlive-latex-base, ghostscript, chrpath, cdbs
+Standards-Version: 3.9.1.0
 Homepage: https://projects.coin-or.org/Ipopt
 Vcs-Svn: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
 Vcs-Browser: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,15 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-LDFLAGS += -llapack -lblas -lmpiseq_seq -ldmumps_seq -Wl,-z,defs
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-static
+LDFLAGS += -llapack -lblas
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
+							 --with-mumps-incdir=/usr/include \
+							 --with-mumps-lib=-ldmumps
+
+binary-install/coinor-libipopt0:: debian/stamp-binary-install-coinor-libipopt0
+debian/stamp-binary-install-coinor-libipopt0:
+	sed -i "s/^dependency_libs.*/dependency_libs=' '/" debian/tmp/usr/lib/libipopt.la
+	touch $@
 
 build/coinor-libipopt-doc:: debian/stamp-build-coinor-libipopt-doc
 debian/stamp-build-coinor-libipopt-doc:

## coinor-ipopt 3.9.2

=== Ipopt/contrib/RInterface/DESCRIPTION ===
Package: ipoptr
Type: Package
Title: R interface to Ipopt
Version: 0.8.1
Date: 2010-07-18
Author: Jelmer Ypma
Maintainer: Jelmer Ypma <uctpjyy@ucl.ac.uk>
Description: ipoptr is an R interface to Ipopt (Interior Point Optimizer), an open source software package for large-scale nonlinear optimization. It can be used to solve general nonlinear programming problems with nonlinear constraints and lower and upper bounds for the controls. Ipopt is written in C++ and is released as open source code under the Eclipse Public License (EPL). It is available from the COIN-OR initiative. The code has been written by Carl Laird and Andreas Waechter, who is the COIN project leader for Ipopt.
License: EPL

=== Ipopt/contrib/AsNMPC/doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2009 International Business Machines. All Rights Reserved.
-# This code is published under the Common Public License.
+# This code is published under the Eclipse Public License.
 #
 # Author: Andreas Waechter, 2010-05-26

=== debian/changelog ===
coinor-ipopt (3.9.2-1ubuntu1) oneiric; urgency=low

  * NULL.patch: fixes FTBFS with gcc 4.6 (LP: #749064). Thanks to
    christophe.trophime@lncmi.cnrs.fr .

 -- Ilya Barygin <barygin@gmail.com>  Fri, 12 Aug 2011 22:58:44 +0400

coinor-ipopt (3.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #610606)
  * Refresh patch coinor-ipopt_sh4.diff
  * SONAME bump: coinor-ipopt0 -> coinor-ipopt1
  * coinor-libipopt1: Add dependency on libmumps-4.9.2 and libmumps-seq-4.9.2;
    thanks to Michael Weitzel for the suggestion (Closes: #592324)
  * Document the need to pass extra flags to the linker when linking
    against coinor-ipopt (Closes: #592752)
  * Look in /usr/include/mumps_seq for headers (accommodates a change in the
    libmumps-seq-dev package)
  * Install *.pc files so pkg-config can be used to build against coinor-ipopt

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 27 Jan 2011 13:53:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: coinor-ipopt
 Section: science
 Priority: extra
-Maintainer: Roberto C. Sanchez <roberto@connexer.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Uploaders: Soeren Sonnenburg <sonne@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev, gfortran, libblas-dev,
  libmumps-dev (>= 4.9.2.dfsg-4), libmumps-seq-dev (>= 4.9.2.dfsg-4),
@@ -11,10 +12,10 @@
 Vcs-Svn: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
 Vcs-Browser: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
 
-Package: coinor-libipopt0
+Package: coinor-libipopt1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libmumps-4.9.2 (>= 4.9.2) | libmumps-seq-4.9.2 (>= 4.9.2), ${shlibs:Depends}, ${misc:Depends}
 Description: Interior-Point Optimizer, for large-scale nonlinear optimization
  Ipopt is an open-source solver for large-scale nonlinear continuous
  optimization. It can be used from modeling environments, such as AMPL,
@@ -32,7 +33,7 @@
 Package: coinor-libipopt-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libipopt0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libipopt1 (= ${binary:Version})
 Description: Interior-Point Optimizer - header files
  Ipopt is an open-source solver for large-scale nonlinear continuous
  optimization. It can be used from modeling environments, such as AMPL,
@@ -65,10 +66,10 @@
  .
  This package contains the documentation.
 
-Package: coinor-libipopt0-dbg
+Package: coinor-libipopt1-dbg
 Section: debug
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libipopt0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libipopt1 (= ${binary:Version})
 Description: Interior-Point Optimizer - debugging symbols
  Ipopt is an open-source solver for large-scale nonlinear continuous
  optimization. It can be used from modeling environments, such as AMPL,

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,15 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
+CPPFLAGS += -I/usr/include/mumps_seq
 LDFLAGS += -llapack -lblas
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
 							 --with-mumps-incdir=/usr/include \
 							 --with-mumps-lib=-ldmumps
 
-binary-install/coinor-libipopt0:: debian/stamp-binary-install-coinor-libipopt0
-debian/stamp-binary-install-coinor-libipopt0:
-	sed -i "s/^dependency_libs.*/dependency_libs=' '/" debian/tmp/usr/lib/libipopt.la
+binary-install/coinor-libipopt1:: debian/stamp-binary-install-coinor-libipopt1
+debian/stamp-binary-install-coinor-libipopt1:
+	sed -i "s/^dependency_libs.*/dependency_libs=' '/" debian/tmp/usr/lib/coin/libipopt.la
 	touch $@
 
 build/coinor-libipopt-doc:: debian/stamp-build-coinor-libipopt-doc

## coinor-ipopt 3.10.1

=== Ipopt/contrib/RInterface/DESCRIPTION ===
Package: ipoptr
Type: Package
Title: R interface to Ipopt
Version: 0.8.2
Date: 2011-02-19
Author: Jelmer Ypma
Maintainer: Jelmer Ypma <uctpjyy@ucl.ac.uk>
Description: ipoptr is an R interface to Ipopt (Interior Point Optimizer), an open source software package for large-scale nonlinear optimization. It can be used to solve general nonlinear programming problems with nonlinear constraints and lower and upper bounds for the controls. Ipopt is written in C++ and is released as open source code under the Eclipse Public License (EPL). It is available from the COIN-OR initiative. The code has been written by Carl Laird and Andreas Waechter, who is the COIN project leader for Ipopt.
License: EPL

=== debian/changelog ===
coinor-ipopt (3.10.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.2 (no changes required)
  * Stop shipping unneeded .la file
  * Change Build-Depends, doxygen and texlive-* for doxygen-latex
    (Closes: #616205)
  * Remove Soeren from Uploaders (Closes: #645075)
  * Add missing cstddef include (Closes: #625018)
  * Build-Conflicts with pkg-config, as its presence causes FTBFS
    (Closes: #621596, #643721)
  * Update SH4 patch, thanks to Nobuhiro Iwamatsu (Closes: #612367)
  * Override lintian warning: package-name-doesnt-match-sonames

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 14 Oct 2011 21:46:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: coinor-ipopt
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roberto C. Sanchez <roberto@connexer.com>
-Uploaders: Soeren Sonnenburg <sonne@debian.org>
+Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Build-Depends: debhelper (>= 5), autotools-dev, gfortran, libblas-dev,
  libmumps-dev (>= 4.9.2.dfsg-4), libmumps-seq-dev (>= 4.9.2.dfsg-4),
- liblapack-dev, doxygen, texlive-latex-base, ghostscript, chrpath, cdbs
-Standards-Version: 3.9.1.0
+ liblapack-dev, doxygen-latex, ghostscript, chrpath, cdbs
+Build-Conflicts: pkg-config
+Standards-Version: 3.9.2
 Homepage: https://projects.coin-or.org/Ipopt
 Vcs-Svn: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
 Vcs-Browser: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-CPPFLAGS += -I/usr/include/mumps_seq
+CPPFLAGS += -I/usr/include/mumps_seq -DHAVE_CSTDDEF
 LDFLAGS += -llapack -lblas
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
 							 --with-mumps-incdir=/usr/include \
@@ -11,7 +11,7 @@
 
 binary-install/coinor-libipopt1:: debian/stamp-binary-install-coinor-libipopt1
 debian/stamp-binary-install-coinor-libipopt1:
-	sed -i "s/^dependency_libs.*/dependency_libs=' '/" debian/tmp/usr/lib/coin/libipopt.la
+	find debian/tmp -name libipopt.la -delete
 	touch $@
 
 build/coinor-libipopt-doc:: debian/stamp-build-coinor-libipopt-doc

## coinor-ipopt 3.10.2

=== Ipopt/contrib/RInterface/DESCRIPTION ===
Package: ipoptr
Type: Package
Title: R interface to Ipopt
Version: 0.8.3
Date: 2011-11-20
Author: Jelmer Ypma
Maintainer: Jelmer Ypma <uctpjyy@ucl.ac.uk>
Description: ipoptr is an R interface to Ipopt (Interior Point Optimizer), an open source software package for large-scale nonlinear optimization. It can be used to solve general nonlinear programming problems with nonlinear constraints and lower and upper bounds for the controls. Ipopt is written in C++ and is released as open source code under the Eclipse Public License (EPL). It is available from the COIN-OR initiative. The code has been written by Carl Laird and Andreas Waechter, who is the COIN project leader for Ipopt.
License: EPL

=== debian/changelog ===
coinor-ipopt (3.10.2-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.3 (no changes required)
  * Fix problem with buildintg Doxygen documentation, thanks to Christophe
    Trophime for the patches (Closes: #659898)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 28 Feb 2012 19:16:17 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libmumps-dev (>= 4.9.2.dfsg-4), libmumps-seq-dev (>= 4.9.2.dfsg-4),
  liblapack-dev, doxygen-latex, ghostscript, chrpath, cdbs
 Build-Conflicts: pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://projects.coin-or.org/Ipopt
 Vcs-Svn: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
 Vcs-Browser: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 build/coinor-libipopt-doc:: debian/stamp-build-coinor-libipopt-doc
 debian/stamp-build-coinor-libipopt-doc:
-	doxygen doxydoc/doxygen.conf
+	make doxydoc
 	$(RM) doxydoc/html/*.md5 doxydoc/html/*.dot doxydoc/html/*.map
 	touch $@
 
@@ -26,3 +26,5 @@
 
 clean::
 	$(RM) -r debian/stamp-* doxydoc/html
+	$(RM) Ipopt/contrib/sIPOPT/src/Makefile
+	$(RM) Makefile

## coinor-ipopt 3.11.4

=== debian/changelog ===
coinor-ipopt (3.11.4-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 17:31:34 -0500

coinor-ipopt (3.11.4-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU, thanks to Etienne Millon
  * Bump standards version to 3.9.4 (no changes required)
  * Add -DHAVE_CSTDDEF to pkg-config file (Closes: #684062)
  * Add dependency upon libmumps-dev for development package (Closes: #711939)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 21 Sep 2013 18:06:45 -0400

coinor-ipopt (3.10.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove hardcoded dependency on libmumps (Closes: #662236).
  * Add missing dependencies on libmpi and libdl.

 -- Etienne Millon <etienne.millon@gmail.com>  Sat, 16 Jun 2012 12:39:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libmumps-dev (>= 4.9.2.dfsg-4), libmumps-seq-dev (>= 4.9.2.dfsg-4),
  liblapack-dev, doxygen-latex, ghostscript, chrpath, cdbs
 Build-Conflicts: pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://projects.coin-or.org/Ipopt
 Vcs-Svn: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
 Vcs-Browser: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
@@ -14,7 +14,7 @@
 Package: coinor-libipopt1
 Section: libs
 Architecture: any
-Depends: libmumps-4.9.2 (>= 4.9.2) | libmumps-seq-4.9.2 (>= 4.9.2), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Interior-Point Optimizer, for large-scale nonlinear optimization
  Ipopt is an open-source solver for large-scale nonlinear continuous
  optimization. It can be used from modeling environments, such as AMPL,
@@ -32,7 +32,7 @@
 Package: coinor-libipopt-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libipopt1 (= ${binary:Version})
+Depends: coinor-libipopt1 (= ${binary:Version}), libmumps-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: Interior-Point Optimizer - header files
  Ipopt is an open-source solver for large-scale nonlinear continuous
  optimization. It can be used from modeling environments, such as AMPL,
@@ -50,7 +50,7 @@
 Package: coinor-libipopt-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
 Description: Interior-Point Optimizer - documentation
  Ipopt is an open-source solver for large-scale nonlinear continuous
  optimization. It can be used from modeling environments, such as AMPL,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
 CPPFLAGS += -I/usr/include/mumps_seq -DHAVE_CSTDDEF
-LDFLAGS += -llapack -lblas
+LDFLAGS += -llapack -lblas -ldmumps -lmpi -ldl
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
 							 --with-mumps-incdir=/usr/include \
 							 --with-mumps-lib=-ldmumps
@@ -14,9 +14,15 @@
 	find debian/tmp -name libipopt.la -delete
 	touch $@
 
+binary-install/coinor-libipopt-doc:: debian/stamp-binary-install-coinor-libipopt-doc
+debian/stamp-binary-install-coinor-libipopt-doc:
+	rm -f $(CURDIR)/debian/coinor-libipopt-doc/usr/share/doc/coinor-libipopt-doc/html/jquery.js
+	ln -s ../../../javascript/jquery/jquery.js $(CURDIR)/debian/coinor-libipopt-doc/usr/share/doc/coinor-libipopt-doc/html/jquery.js
+	touch $@
+
 build/coinor-libipopt-doc:: debian/stamp-build-coinor-libipopt-doc
 debian/stamp-build-coinor-libipopt-doc:
-	make doxydoc
+	make DESTDIR=$(CURDIR)/debian/tmp doxydoc
 	$(RM) doxydoc/html/*.md5 doxydoc/html/*.dot doxydoc/html/*.map
 	touch $@

## coinor-ipopt 3.11.7

=== debian/changelog ===
coinor-ipopt (3.11.7-2) unstable; urgency=low

  * Also do not call MPI_Finalize() from within library. (Closes: #736842)
    + Update patch mpi-init.patch (Thanks to Ansgar Burchardt)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 10 Mar 2014 14:25:07 -0400

coinor-ipopt (3.11.7-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.5 (no changes required)
  * Do not call MPI_Init() from within library; applications are responsible
    for this.  Thanks to Ansgar Burchardt for the patch.  (Closes: #736842)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2014 15:10:29 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libmumps-dev (>= 4.9.2.dfsg-4), libmumps-seq-dev (>= 4.9.2.dfsg-4),
  liblapack-dev, doxygen-latex, ghostscript, chrpath, cdbs
 Build-Conflicts: pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://projects.coin-or.org/Ipopt
 Vcs-Svn: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
 Vcs-Browser: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/

## coinor-ipopt 3.11.9

=== Ipopt/contrib/RInterface/DESCRIPTION ===
Package: ipoptr
Type: Package
Title: R interface to Ipopt
Version: 0.8.4
Date: 2011-03-09
Author: Jelmer Ypma
Maintainer: Jelmer Ypma <uctpjyy@ucl.ac.uk>
Description: ipoptr is an R interface to Ipopt (Interior Point Optimizer), an open source software package for large-scale nonlinear optimization. It can be used to solve general nonlinear programming problems with nonlinear constraints and lower and upper bounds for the controls. Ipopt is written in C++ and is released as open source code under the Eclipse Public License (EPL). It is available from the COIN-OR initiative. The code has been written by Carl Laird and Andreas Waechter, who is the COIN project leader for Ipopt.
License: EPL

=== debian/changelog ===
coinor-ipopt (3.11.9-2) unstable; urgency=low

  * Link against sequential MUMPS instead of parallel (Closes: #763621)
  * Enable unit tests

 -- Greg Horn <gregmainland@gmail.com>  Wed, 01 Oct 2014 14:41:35 +0200

coinor-ipopt (3.11.9-1) unstable; urgency=low

  * New upstream release (Closes: #745612)
  * Use MPI_Initialized (retires mpi_init.patch)

 -- Greg Horn <gregmainland@gmail.com>  Wed, 27 Aug 2014 18:26:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: coinor-ipopt
 Section: science
 Priority: extra
-Maintainer: Roberto C. Sanchez <roberto@connexer.com>
+Maintainer: Greg Horn <gregmainland@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, gfortran, libblas-dev,
- libmumps-dev (>= 4.9.2.dfsg-4), libmumps-seq-dev (>= 4.9.2.dfsg-4),
+ libmumps-seq-dev (>= 4.9.2.dfsg-4),
  liblapack-dev, doxygen-latex, ghostscript, chrpath, cdbs
 Build-Conflicts: pkg-config
 Standards-Version: 3.9.5
 Homepage: https://projects.coin-or.org/Ipopt
-Vcs-Svn: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
-Vcs-Browser: http://bollin.googlecode.com/svn/coinor-ipopt/trunk/
+Vcs-Git: https://github.com/ghorn/debian-coinor-ipopt.git
+Vcs-Browser: https://github.com/ghorn/debian-coinor-ipopt.git
 
 Package: coinor-libipopt1
 Section: libs
@@ -32,7 +32,7 @@
 Package: coinor-libipopt-dev
 Section: libdevel
 Architecture: any
-Depends: coinor-libipopt1 (= ${binary:Version}), libmumps-dev, ${shlibs:Depends}, ${misc:Depends}
+Depends: coinor-libipopt1 (= ${binary:Version}), libmumps-seq-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: Interior-Point Optimizer - header files
  Ipopt is an open-source solver for large-scale nonlinear continuous
  optimization. It can be used from modeling environments, such as AMPL,

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,11 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
 CPPFLAGS += -I/usr/include/mumps_seq -DHAVE_CSTDDEF
-LDFLAGS += -llapack -lblas -ldmumps -lmpi -ldl
+LDFLAGS += -llapack -lblas -ldmumps_seq -ldl
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
 							 --with-mumps-incdir=/usr/include \
-							 --with-mumps-lib=-ldmumps
+							 --with-mumps-lib='-ldmumps_seq'
+DEB_MAKE_CHECK_TARGET = test
 
 binary-install/coinor-libipopt1:: debian/stamp-binary-install-coinor-libipopt1
 debian/stamp-binary-install-coinor-libipopt1:

## coinor-ipopt 3.14.16

=== debian/changelog ===
coinor-ipopt (3.14.16-4) unstable; urgency=medium

  * Adding dependencies of the -dev package on blas and lapack as seen in
    pkgconfig file

 -- Pierre Gruet <pgt@debian.org>  Fri, 22 Nov 2024 23:07:42 +0100

coinor-ipopt (3.14.16-3) unstable; urgency=medium

  * Upload to unstable to start the transition:
    - New upstream version 3.14.16 (Closes: #929265)
    - Adopting the package (Closes: #1085677)
    - LSL_loadSym symbol has vanished (Closes: #749784)
  * Updating Homepage

 -- Pierre Gruet <pgt@debian.org>  Wed, 20 Nov 2024 21:07:06 +0100

coinor-ipopt (3.14.16-2) experimental; urgency=medium

  * Changing the path to doc files in d/rules

 -- Pierre Gruet <pgt@debian.org>  Sat, 16 Nov 2024 00:48:36 +0100

coinor-ipopt (3.14.16-1) experimental; urgency=medium

  * New upstream version 3.14.16
  * Refreshing patches
  * Adopting the package, team-maintaining it in Debian-science.
    Thanks to Greg Horn.
  * Raising Standards version to 4.7.0
    -Rewriting d/copyright with 1.0 Copyright format
    - Rules-Requires-Root: no
  * Bumping SOVERSION to 3
  * Dropping the -dbg package from d/control
  * Building with dh
  * Dropping d/compat file, depending on debhelper-compat 13 instead
  * Aligning the lists of dependencies in d/control
  * Raising d/watch version to 4, pointing to Github
  * Adapting install paths for DEB_HOST_MULTIARCH triplets
  * Updating the install paths of the doc files
  * Updating the list of build-dependencies
  * Skipping the install of .la and LICENSE files, using d/not-installed
  * Pointing Vcs-* fields to the science-team repository
  * Marking the -doc package as Multi-Arch:foreign
  * Providing a symlink to libjs-jquery instead of using an embedded copy
  * Fixing minor spelling errors
  * Adding Lintian overrides for symbols and spelling

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Nov 2024 00:01:43 +0100

coinor-ipopt (3.11.9-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965459)

 -- Adrian Bunk <bunk@debian.org>  Thu, 17 Mar 2022 23:41:30 +0200

coinor-ipopt (3.11.9-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Remove pkg-config from build-conflicts by configuring with
    --disable-pkg-config, thanks Dimas Abreu Dutra (Closes: #750097)
  * Avoid use of uninitialized memory (Closes: #930577)
  * Switch from Priority: extra to Priority: optional

 -- Graham Inggs <ginggs@debian.org>  Sun, 16 Jun 2019 10:51:12 +0000

coinor-ipopt (3.11.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Incorporate library rename, from Ubuntu (Closes: #791007)

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition.

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Aug 2015 15:53:14 +0100

=== debian/control ===
Source: coinor-ipopt
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               doxygen-latex,
               gfortran,
               ghostscript,
               libblas-dev,
               liblapack-dev,
               libmumps-seq-dev,
               pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/coin-or/Ipopt
Vcs-Git: https://github.com/science-team/coinor-ipopt.git
Vcs-Browser: https://github.com/science-team/coinor-ipopt
Rules-Requires-Root: no

Package: coinor-libipopt3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: coinor-libipopt1
Replaces: coinor-libipopt1
Description: Interior-Point Optimizer, for large-scale nonlinear optimization
 Ipopt is an open-source solver for large-scale nonlinear continuous
 optimization. It can be used from modeling environments, such as AMPL,
 GAMS, or Matlab, and it is also available as a callable library with
 interfaces to C++, C, and Fortran. Ipopt uses an interior point method,
 together with a filter linear search procedure. Ipopt is part of the
 larger COIN-OR initiative (Computational Infrastructure for Operations
 Research).
 .
 The Debian package is compiled against MUMPS (as it is the only one of
 the available solvers that is Free Software and included in Debian).
 .
 This package contains the library.

Package: coinor-libipopt-dev
Section: libdevel
Architecture: any
Depends: coinor-libipopt3 (= ${binary:Version}),
         libblas-dev,
         liblapack-dev,
         libmumps-seq-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Interior-Point Optimizer - header files
 Ipopt is an open-source solver for large-scale nonlinear continuous
 optimization. It can be used from modeling environments, such as AMPL,
 GAMS, or Matlab, and it is also available as a callable library with
 interfaces to C++, C, and Fortran. Ipopt uses an interior point method,
 together with a filter linear search procedure. Ipopt is part of the
 larger COIN-OR initiative (Computational Infrastructure for Operations
 Research).
 .
 The Debian package is compiled against MUMPS (as it is the only one of
 the available solvers that is Free Software and included in Debian).
 .
 This package contains the header files for developers.

Package: coinor-libipopt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         ${misc:Depends}
Description: Interior-Point Optimizer - documentation
 Ipopt is an open-source solver for large-scale nonlinear continuous
 optimization. It can be used from modeling environments, such as AMPL,
 GAMS, or Matlab, and it is also available as a callable library with
 interfaces to C++, C, and Fortran. Ipopt uses an interior point method,
 together with a filter linear search procedure. Ipopt is part of the
 larger COIN-OR initiative (Computational Infrastructure for Operations
 Research).
 .
 The Debian package is compiled against MUMPS (as it is the only one of
 the available solvers that is Free Software and included in Debian).
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Using HAVE_CSTDDEF to include the stddef header (see patch add_missing_cstddef.patch)
CPPFLAGS += -I/usr/include/mumps_seq -DHAVE_CSTDDEF
LDFLAGS += -llapack -lblas -ldmumps_seq -ldl

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	./configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	    --enable-static --with-mumps-lflags='-ldmumps_seq' \
	    --disable-sipopt

override_dh_auto_build-indep:
	make doc

# No tests for the doc package.
override_dh_auto_test-indep:

execute_before_dh_installexamples:
	# Remove full build path from example Makefiles
	for F in $$(find examples -name "Makefile"); do \
	    sed -i -e "s,prefix-map=$(CURDIR),prefix-map=BUILDPATH,g" $$F; \
	done

execute_after_dh_installdocs:
	for F in $$(find debian/ -name "*.html"); do\
	    sed -i 's|<script.*mathjax.*/script>||g' $$F;\
	done

execute_before_dh_link:
	# Removing the installed jquery.js file, a symlink will be created by dh_link
	# from the libjs-jquery package
	find debian/ -name "jquery.js" -delete

## coinor-ipopt 3.14.17

=== debian/changelog ===
coinor-ipopt (3.14.17-3) unstable; urgency=medium

  * Source-only upload to enable migration.
  * d/control: add myself (harry) to uploaders.
  * d/control: refine binary package description.

 -- Shengqi Chen <harry@debian.org>  Sat, 11 Jan 2025 16:47:04 +0800

coinor-ipopt (3.14.17-2) unstable; urgency=medium

  * Team upload.
  * New binary package coinor-ipopt (Closes: #1088191)
    + enable building with libamplsolver (ASL) (Closes: #933557)
  * Enable building of sipopt library & executable
  * Install example files in coinor-libipopt-dev

 -- Shengqi Chen <harry@debian.org>  Fri, 10 Jan 2025 19:07:57 +0800

coinor-ipopt (3.14.17-1) unstable; urgency=medium

  * Team upload.

  [ Pierre Gruet ]
  * Pointing Vcs-* links to Salsa

  [ Andreas Tille ]
  * New upstream version 3.14.17
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Spelling patch was applied upstream

  [ Shengqi Chen ]
  * Fix building with parallel version of MUMPS (Closes: #929122)
    + d/rules: use pkgconf to compile MPI code
    + the original patch is from Ansgar Burchardt, thanks!
  * d/rules: cleanup and use more explicit configure options

 -- Shengqi Chen <harry@debian.org>  Fri, 10 Jan 2025 17:34:52 +0800

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,42 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Pierre Gruet <pgt@debian.org>
+Uploaders: Pierre Gruet <pgt@debian.org>, Shengqi Chen <harry@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               chrpath,
                doxygen-latex,
                gfortran,
                ghostscript,
+               libamplsolver-dev,
                libblas-dev,
                liblapack-dev,
-               libmumps-seq-dev,
+               libmumps-dev,
+               mpi-default-dev,
+               mpi-default-bin,
                pkgconf
 Standards-Version: 4.7.0
 Homepage: https://github.com/coin-or/Ipopt
-Vcs-Git: https://github.com/science-team/coinor-ipopt.git
-Vcs-Browser: https://github.com/science-team/coinor-ipopt
+Vcs-Git: https://salsa.debian.org/science-team/coinor-ipopt.git
+Vcs-Browser: https://salsa.debian.org/science-team/coinor-ipopt
 Rules-Requires-Root: no
+
+Package: coinor-ipopt
+Architecture: any
+Depends: coinor-libipopt3 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: Interior-Point Optimizer for large-scale nonlinear optimization
+ Ipopt is an open-source solver for large-scale nonlinear continuous
+ optimization. It can be used from modeling environments, such as AMPL,
+ GAMS, or Matlab, and it is also available as a callable library with
+ interfaces to C++, C, and Fortran. Ipopt uses an interior point method,
+ together with a filter linear search procedure. Ipopt is part of the
+ larger COIN-OR initiative (Computational Infrastructure for Operations
+ Research).
+ .
+ The Debian package is compiled against MUMPS and ASL solver.
+ .
+ This package contains the ipopt / ipopt_sens AMPL solver executables.
 
 Package: coinor-libipopt3
 Section: libs
@@ -24,7 +46,7 @@
          ${misc:Depends}
 Conflicts: coinor-libipopt1
 Replaces: coinor-libipopt1
-Description: Interior-Point Optimizer, for large-scale nonlinear optimization
+Description: Interior-Point Optimizer - shared libraries
  Ipopt is an open-source solver for large-scale nonlinear continuous
  optimization. It can be used from modeling environments, such as AMPL,
  GAMS, or Matlab, and it is also available as a callable library with
@@ -33,10 +55,9 @@
  larger COIN-OR initiative (Computational Infrastructure for Operations
  Research).
  .
- The Debian package is compiled against MUMPS (as it is the only one of
- the available solvers that is Free Software and included in Debian).
+ The Debian package is compiled against MUMPS and ASL solver.
  .
- This package contains the library.
+ This package contains the shared libraries.
 
 Package: coinor-libipopt-dev
 Section: libdevel
@@ -44,10 +65,10 @@
 Depends: coinor-libipopt3 (= ${binary:Version}),
          libblas-dev,
          liblapack-dev,
-         libmumps-seq-dev,
+         libmumps-dev,
          ${shlibs:Depends},
          ${misc:Depends}
-Description: Interior-Point Optimizer - header files
+Description: Interior-Point Optimizer - header files & examples
  Ipopt is an open-source solver for large-scale nonlinear continuous
  optimization. It can be used from modeling environments, such as AMPL,
  GAMS, or Matlab, and it is also available as a callable library with
@@ -56,10 +77,9 @@
  larger COIN-OR initiative (Computational Infrastructure for Operations
  Research).
  .
- The Debian package is compiled against MUMPS (as it is the only one of
- the available solvers that is Free Software and included in Debian).
+ The Debian package is compiled against MUMPS and ASL solver.
  .
- This package contains the header files for developers.
+ This package contains the header & example files for developers.
 
 Package: coinor-libipopt-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Using HAVE_CSTDDEF to include the stddef header (see patch add_missing_cstddef.patch)
export DEB_CPPFLAGS_MAINT_APPEND = -DHAVE_CSTDDEF
export DEB_CXXFLAGS_MAINT_APPEND = $(shell pkgconf mpi --cflags)
export DEB_LDFLAGS_MAINT_APPEND = $(shell pkgconf mpi --libs-only-L)
export LIBS += $(shell pkgconf mpi --libs-only-l)

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
		--enable-static --with-mumps-lflags='-ldmumps' \
		--with-mumps-cflags='-I/usr/include/mumps' \
		--with-asl-cflags='-I/usr/include/ampl-netlib-solvers' \
		--with-asl-lflags='-lamplsolver' \
		--with-lapack-lflags='-llapack -lblas'

override_dh_auto_build-arch:
	make V=1

override_dh_auto_build-indep:
	make doc

# No tests for the doc package.
override_dh_auto_test-indep:

execute_before_dh_installexamples:
	# copy sIPOPT examples
	mkdir -p examples/sIPOPT
	cp -r contrib/sIPOPT/examples/* examples/sIPOPT/
	# Remove full build path from example Makefiles
	for F in $$(find examples -name "Makefile"); do \
	    sed -i -e "s,prefix-map=$(CURDIR),prefix-map=BUILDPATH,g" $$F; \
	done
	# remove not supported languages
	rm -rf examples/*_java

execute_after_dh_installdocs:
	for F in $$(find debian/ -name "*.html"); do\
		sed -i 's|<script.*mathjax.*/script>||g' $$F;\
	done

execute_before_dh_link:
	# Removing the installed jquery.js file, a symlink will be created by dh_link
	# from the libjs-jquery package
	find debian/ -name "jquery.js" -delete

## coinor-ipopt 3.14.19

=== contrib/sIPOPT/doc/Makefile ===
# Copyright (C) 2009 International Business Machines. All Rights Reserved.
# This code is published under the Eclipse Public License.
#
# Author: Andreas Waechter, 2010-05-26


DOCS = sipopt_manual.pdf

all: $(DOCS)

.SUFFIXES: .tex .pdf

.tex.pdf:
	pdflatex $*
	bibtex $*
	pdflatex $*
	pdflatex $*

clean:
	rm -f *.aux *.log *.bbl *.blg *.toc

=== debian/changelog ===
coinor-ipopt (3.14.19-1) unstable; urgency=medium

  * New upstream version 3.14.19.
  * d/patches: remove obsolete patch, add patch to fix SIGSEGV with MPICH.
    (closes: #1111549)
  * d/{rules,control}: add support for nodoc build profile.
  * d/control: bump std-ver to 4.7.2 (no changes required).

 -- Shengqi Chen <harry@debian.org>  Thu, 11 Sep 2025 23:09:13 +0800

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Pierre Gruet <pgt@debian.org>, Shengqi Chen <harry@debian.org>
 Build-Depends: debhelper-compat (= 13),
                chrpath,
-               doxygen-latex,
+               doxygen-latex <!nodoc>,
                gfortran,
-               ghostscript,
+               ghostscript <!nodoc>,
                libamplsolver-dev,
                libblas-dev,
                liblapack-dev,
@@ -15,7 +15,7 @@
                mpi-default-dev,
                mpi-default-bin,
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/coin-or/Ipopt
 Vcs-Git: https://salsa.debian.org/science-team/coinor-ipopt.git
 Vcs-Browser: https://salsa.debian.org/science-team/coinor-ipopt
@@ -85,6 +85,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Depends: libjs-jquery,
          ${misc:Depends}
 Description: Interior-Point Optimizer - documentation

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,9 @@
 	make V=1
 
 override_dh_auto_build-indep:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	make doc
+endif
 
 # No tests for the doc package.
 override_dh_auto_test-indep:
@@ -44,9 +46,11 @@
 	rm -rf examples/*_java
 
 execute_after_dh_installdocs:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	for F in $$(find debian/ -name "*.html"); do\
 		sed -i 's|<script.*mathjax.*/script>||g' $$F;\
 	done
+endif
 
 execute_before_dh_link:
 	# Removing the installed jquery.js file, a symlink will be created by dh_link

=== debian/watch ===
version=4
 opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%api.github.com/repos/([^/]+/[^/]+)/git/refs/tags/releases/@ANY_VERSION@%github.com/$1/archive/refs/tags/releases/$2.tar.gz%g,\
 searchmode=plain" \
  https://api.github.com/repos/coin-or/Ipopt/git/matching-refs/tags/ \
  https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/releases/@ANY_VERSION@
